Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456145 - Feature Request: documentation RPMs for inclusion with MRG ISOs
Summary: Feature Request: documentation RPMs for inclusion with MRG ISOs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Documentation
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lana Brindley
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 18:14 UTC by Clark Williams
Modified: 2013-10-23 23:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-25 01:38:10 UTC


Attachments (Terms of Use)

Description Clark Williams 2008-07-21 18:14:49 UTC
Description of problem:

Since some of our customers do not have Internet access, we need to produce a 
documentation RPM for inclusion with MRG ISOs

Comment 1 Lana Brindley 2008-07-29 05:24:50 UTC
As a matter of course, I create TAR files of all docs. The published 1.0 docs
have their TAR files here:
https://engineering.redhat.com/docbot/en-US/Red_Hat_Enterprise_MRG/1.0/tar/

The new 1.1 docs TARs will be found here:
https://engineering.redhat.com/docbot/en-US/Red_Hat_Enterprise_MRG/1.1/tar/

Whoever does the packaging can pick these up and RPM at will, once I have frozen
the docs.

Does this answer your question?

LKB

Comment 2 Clark Williams 2008-11-11 14:15:56 UTC
Yup, certainly does. 

Any preference to what the package name should be called? Probably something with realtime in the name: mrg-realtime-docs maybe?

Comment 3 Lana Brindley 2008-11-11 20:58:56 UTC
I think that sounds reasonable.

Please note, those links no longer work (we've changed over to a new build system). 

All documents can be found in SVN here: https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_MRG

I have yet to work out if there's a way I can put a TAR on an internal site for you to access - but I'll chase down some info for you on this.

When did you want to build the RT docs RPMs for 1.1?

L

Comment 4 Clark Williams 2008-11-11 21:19:01 UTC
I'll be out the rest of this week, so how about mid-next week?

We'll need to figure out where the contents should go in the filesystem (/usr/share/docs/mrg-realtime-1.1-1?), then work up a spec file to deal with the tarball(s). 

Do you want to have just one big tarball or four (deployment, installation, reference and tuning)?

Comment 5 Lana Brindley 2008-11-13 06:27:39 UTC
(In reply to comment #4)
> I'll be out the rest of this week, so how about mid-next week?
> 

Sounds good to me. I have to get Messaging done by Friday, so I can have RT done by Monday, Tuesday at the latest (my time).

> We'll need to figure out where the contents should go in the filesystem
> (/usr/share/docs/mrg-realtime-1.1-1?), then work up a spec file to deal with
> the tarball(s). 

You're probably a better judge of this than I am. I see no reason not to use that path.

> 
> Do you want to have just one big tarball or four (deployment, installation,
> reference and tuning)?

With the new toolchain, you should be able to pick up the tarballs through brew (I haven't actually done this yet, but I'm assured it's trivial. My knowledge of brew is growing exponentially!). In this case, I think the only possible way to go about it is one TAR per book.

L

Comment 6 Clark Williams 2008-11-18 16:28:38 UTC
Ok, that leads to the next question, which is should we have one package per book, or would it be better to wrap everything up into a component-specific doc file (in this case Realtime)?

Comment 7 Lana Brindley 2008-11-18 21:34:38 UTC
The only way I can provide RPMs is in the form of one per book. An example from Messaging is here (this is for the Messaging User Guide):
https://brewweb.devel.redhat.com/buildinfo?buildID=77842

LKB


Note You need to log in before you can comment on or make changes to this bug.